バージョン選択

フォーラム

メニュー

オンライン状況

20 人のユーザが現在オンラインです。 (11 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 20
もっと...

サイト内検索

質問 > その他 > Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
codama
投稿日時: 2021/9/27 16:26
対応状況: −−−
常連
登録日: 2020/8/3
居住地:
投稿: 38
Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが
Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが、MySQLデーターベース引継ぎなどの手順で、気を付ける点など
お教えください。

また、上書きインストールが、可能でしょうか?
何卒宜しくお願い致します。

現在、運用中のシステム

EC-CUBE 4.0.5
サーバーOS
Linux 2.6.32-042stab108.1 #1 SMP Thu Apr 23 19:17:11 MSK 2015 x86_64
DBサーバー
MySQL 5.1.73
WEBサーバー
Apache
PHP
7.3.25 (Core, date, libxml, openssl, pcre, zlib, bz2, calendar, ctype, hash, filter, ftp, gettext, gmp, SPL, iconv, pcntl, readline, Reflection, session, standard, SimpleXML, sockets, mbstring, tokenizer, xml, cgi-fcgi, mysqlnd, bcmath, curl, dba, dom, enchant, fileinfo, gd, imagick, imap, intl, json, ldap, exif, mysqli, odbc, PDO, pdo_mysql, PDO_ODBC, pdo_pgsql, pdo_sqlite, pgsql, Phar, posix, pspell, redis, soap, sodium, sqlite3, sysvmsg, sysvsem, sysvshm, tidy, xmlreader, xmlrpc, xmlwriter, xsl, zip, ionCube Loader, Zend OPcache)
User Agent
Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/93.0.4577.82 Safari/537.36
ec9iii
投稿日時: 2021/9/29 14:20
対応状況: −−−
一人前
登録日: 2014/9/8
居住地:
投稿: 83
Re: Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが
4.0.5であれば、1バージョンずつアップデートしたほうが良さそうな気がしますね。
プラグインであれば以下を1つずつ実行していくことになると思います。

4.0.5→4.0.6
https://www.ec-cube.net/products/detail.php?product_id=2277

4.0.6→4.1.0
https://www.ec-cube.net/products/detail.php?product_id=2315

いずれにしてもバックアップを取っておいたり、
事前にテストサイトなどでお試し頂いたほうが良いかと思います。


もっと良い方法をご存知の方がおられましたら、私も知りたく思いますのでぜひご教授下さい!
codama
投稿日時: 2021/9/30 17:01
対応状況: −−−
常連
登録日: 2020/8/3
居住地:
投稿: 38
Re: Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが
実は、ご教示通りのVerUPを試みたのですが、プラグインのバージョンが有っていないとのコメント後、「インストールしますか?」
にOKしたところ、異常終了で管理画面が表示できなくなり、バックアップフォルダから再起動させています。

4.1ZIPファイルから新規インストールし、データーベースに再接続するうえで、ポイントが有ればと思っているのですが、・・・
ec9iii
投稿日時: 2021/10/1 14:05
対応状況: −−−
一人前
登録日: 2014/9/8
居住地:
投稿: 83
Re: Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが
エラーは悩ましいですね・・・。

プラグインではなく以下のページを参考に手動でバージョンアップいただくのもひとつの方法かと思いますが、
https://doc4.ec-cube.net/update


もし新規インストールしてデータ移行されるのであれば、
Ver 4.1.0ではカラムの追加やテーブルの追加も行われておりますので、そのあたりの差分を解析しながらデータをインポートしていくことになるかと思います。
(既にプラグインを導入していたりカスタマイズを行われているかもしれませんしね)

ですので、まずはMySQLのテーブル構造を新旧で比較されてみると良いかと思います。
(phpMyAdminなどでエクスポートする際に「構造」だけを出力して比較ツールでチェックしてみて下さい)

その上で、必要と思われるテーブルのデータを旧DBからインポートし、商品データの写真などをFTPでアップロードする。
※その際、外部キーチェックはいったん外した状態で行われる必要があるかと思います。
※AUTO_INCREMENTも揃える必要がありますのでご注意下さい。
※.envファイルのAUTH_MAGICも旧情報に合わせておく必要がありそうです。

実際ためしたわけではないためざっと思いつくところを書いてみましたが、
今後もこういったケースは必要になりそうですので、より事例やお知恵が集まることを期待しております。
codama
投稿日時: 2021/10/1 14:45
対応状況: −−−
常連
登録日: 2020/8/3
居住地:
投稿: 38
Re: Ver 4.0.5をVer 4.1.0にバージョンアップしたいのですが
有難うございます。すごく参考になります。

現有のECCUBE405をバックアップホルダーに入れて、4.10を新規インストールしたところ、プラグインが全く変わっていて、現在使用している決済プラグインが影も形もなくなっており、直ちに移行は難しいのかなと思ってしまいました。

ご教授いただいた、データーベースの件も含め、時間を掛けて取り組むことにします。

新バージョンへの対応状況を今後もよろしくお願いいたします。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は73,404名です
総投稿数は102,492件です

投稿数ランキング

1
seasoft
7333
2
468
3112
3
AMUAMU
2712
4
nanasess
2187
5
umebius
2036
6
yuh
1615
7
red
1454
8
h_tanaka
1140
9
tsuji
936
10
fukap
907
11
shutta
835
12
tao_s
793
13 ramrun 789
14 karin 689
15 sumida 641
16
homan
633
17 DELIGHT 572
18
patapata
502
19
flealog
485
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.